
var type = null;
$(function(){
//	var branchIdSelect=$("#branchIdSelect").val();
	//报案人同被保人
	var isRepInsruedSame = $("#isRepInsruedSame").val();
	if(isRepInsruedSame==null || isRepInsruedSame==""){
		check_bbr("");//报案人默认为选中
		$("#check_bbr").attr("class","check_yes");
	}
	//申请人信息 同被保人
	var isAppInsruedSame = $("#isAppInsruedSame").val();
	if(isAppInsruedSame==null || isAppInsruedSame==""){
		cxlxCheckBox('check_sqrBbr');
		$("#check_sqrBbr").attr("class","check_yes");
	}
	
	var claimSubState=$("#claimSubState").val();
	if(claimSubState=='03'){
		$(".answer").attr("onclick","");
		$(".zizhu").attr("style","color :#ccc");		
	}
	
});	
//报案人信息
	function check_bbr(bbr){
		if($("#check_bbr").hasClass("check_no")){//true为选中
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	$("#pid").val(data.pid);
					$("#pname").val(data.name);
					$("#phone").val(data.phone);
					$("#tel").val(data.ftele);
					$("#contractAddr").val(data.faddr);
					if(data.idtype=='a'){
						$("#cardType").html("身份证");
					}else if(data.idtype=='c'){
						$("#cardType").html("护照");
					}else if(data.idtype=='d'){
						$("#cardType").html("军官证");
					}else if(data.idtype=='j'){
						$("#cardType").html("港澳台护照");
					}else if(data.idtype=='l'){
						$("#cardType").html("台湾居民通行证");
					}else if(data.idtype=='z'){
						$("#cardType").html("其它");
					}
					$("#idtype").val(data.idtype);
					$("#postCode").val(data.fzip);
					$("#sex").val(data.sex);
					$("#repInsRelationship").val("401");
					$("#spanrepInsRelationship").html("本人");
					$("#email").val(data.email);
					if(data.sex=="1"){
						$("#spansex").html("男");
					}else{
						$("#spansex").html("女");
					}
					
		        }
		    });
			
			
		}else{
			$("#pid").val("");
			$("#pname").val("");
			$("#phone").val("");
			$("#tel").val("");
			$("#contractAddr").val("");
			$("#cardType").html("请选择类型");
			$("#idtype").val("");
			$("#postCode").val("");
			$("#spansex").html("请选择性别");
			$("#sex").val("");
			$("#spanrepInsRelationship").html("请选择类型");
			$("#divrepInsRelationship_code").val("");
			$("#repInsRelationship").val("");
			$("#email").val("");
		}
		//alert($("#check_bbr").hasClass("check_no"));
	}
	//清空领款人信息用于新增和编辑保存成功后使用
	function payinfoempty(){
		$("#province").html("请选择省份");
		$("#citySpan").html("请选择市");
		$("#provinces").html("请选择省份");
		$("#citySpans").html("请选择市");
		 $("#payeeInsRelationship").val("");
		 $("#personidtype").val("");
		 $("#claimPayeeId").val("");         //证件号码：                        
    	 $("#claimPayeeName").val("");      //姓名：            
    	 $("#payeePhone").val("");          //移动电话：        
    	 $("#payeeTel").val("");            //固定电话：        
    	 $("#payeeContractAddr").val("");   //联系地址：        
    	 $("#payeePostCode").val("");       //邮政编码：        
    	 $("#payeeEmail").val("");          //邮箱地址：        
		 $("#personsex").val("");
		 $("#personidtype").val("");
		 $("#paymodetype").val("");
		 $("#spanpersonidtype").html("请选择证件类型");//证件类型
		 $("#spanpersonsex").html("请选择性别");//性别
		 $("#spanpayeeInsRelationship").html("请选择类型");
		 $("#bankName").val("");            //银行名称：        
    	 $("#bankSubName").val("");         //开户行：          
    	 $("#bankAccountNo").val("");       //银行帐号：
//    	 var paymentN= $("#spanPaymethodForObjId").html();
    	 var paymentN= $("#spanpaymode").html("请选择支付方式");
    	 var paymentN= $("#spanpaymode").html();

    	 $("#spanbankNameList").html("请选择银行名称");
    	 $("#spancenterbankNameList").html("请选择银行名称");
    	 $("#spanbankNameList").html("请选择银行名称");
    	 if(paymentN){
    		 if(paymentN=='现金'){
    			 paymodetypechang("1");
    			 $("#paymodetype").val("1");
        		 $("#spanpaymode").html(paymentN);//支付方式
        		 $("#divcenterbankName").val("");
    		 }else if(paymentN=='支票'){
    			 paymodetypechang("2");
    			 $("#paymodetype").val("2");
        		 $("#spanpaymode").html(paymentN);//支付方式
			}else if(paymentN=='转账'){
   			 paymodetypechang("3");
   			$("#paymodetype").val("3");
    		 $("#spanpaymode").html(paymentN);//支付方式
    		
    	 }else{
    		 $("#spanpaymode").html("请选择支付方式");//支付方式
    	 }
    	 
    	 $("#payeeProvince").val("");//所在省
		 $("#payeeCityCode").val("");//所在市：
		 $("#payeeAreaCode").val("");//所在县区：
		 $("#payRate").val("");
		 
		 //清空证件类型和关系
		 $("#divpersonidtype_code").val("");
		 $("#divpayeeInsRelationship_code").val("");
		 $("#divpaymodetype_code").val("");
		 $("#divpersonsex_code").val("");
		 
		 //清空单位
		 $("#spancenterrelationship").html("请选择类型");
		 $("#spancenterpaymodetype").html("请选择类型");
		 $("#bankAccountName").val("");
		 $("#centerbankAccountNo").val("");
	}
	}
	//申请人信息同被保人
	function check_sqrBbr(bbr){
		
		if($("#check_sqrBbr").hasClass("check_no")){//true为选中
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	$("#sqr_pid").val(data.pid);
					$("#sqr_pname").val(data.name);
					$("#sqr_phone").val(data.phone);
					$("#sqr_tel").val(data.ftele);
					$("#sqr_contractAddr").val(data.faddr);
					$("#sqridtype").val(ata.idtype);
					if(data.idtype=='a'){
						$("#spanSqrIdType").html("身份证");
					}else if(data.idtype=='c'){
						$("#spanSqrIdType").html("护照");
					}else if(data.idtype=='d'){
						$("#spanSqrIdType").html("军官证");
					}else if(data.idtype=='j'){
						$("#spanSqrIdType").html("港澳台护照");
					}else if(data.idtype=='l'){
						$("#spanSqrIdType").html("台湾居民通行证");
					}else if(data.idtype=='z'){
						$("#spanSqrIdType").html("其它");
					}
					$("#sqr_postCode").val(data.fzip);
					
		        }
		    });
		}else{
			$("#sqr_pid").val("");
			$("#sqr_pname").val("");
			$("#sqr_phone").val("");
			$("#sqr_tel").val("");
			$("#sqr_contractAddr").val("");
			$("#sqridtype").val("");
			$("#spanSqrIdType").html("请选择类型");
			$("#sqr_postCode").val("");
			
		}
	}
	//申请人同报案人
	function check_sqrBar(bbr){
		
		if($("#check_sqrBbr").hasClass("check_no")){//true为选中
			
		}else{
			$("#sqr_pid").val("");
			$("#sqr_pname").val("");
			$("#sqr_phone").val("");
			$("#sqr_tel").val("");
			$("#sqr_contractAddr").val("");
		}
	}
	/**申请人信息 同报案人或同被保人互斥*/	
	function cxlxCheckBox(dataId){
		//alert($("#"+dataId).is(".check_yes")+":"+$("#spansex").html());
		if($("#"+dataId).is(".check_yes")){  
			$("#sqr_pid").val("");
			$("#sqr_pname").val("");
			$("#sqr_phone").val("");
			$("#sqr_tel").val("");
			$("#sqr_contractAddr").val("");
			$("#sqridtype").val("");
			$("#spansqridtype").html("请选择类型");
			$("#sqr_postCode").val("");
			$("#spansqrsex").html("请选择性别");
			$("#spansqrappInsRelationship").html("请选择类型");
			$("#sqr_email").val("");
		}else{
			if(dataId=="check_sqrBbr"){
				$("#check_sqrBar").removeClass().addClass("check_no");
				
				$.ajax({
			        cache: true,
			        type: "POST",
			        url:"clmInsureQueryPay.do",
			        data:{"cliamNo":$("#claimNo").val()},
			       // data:{"id":id,"claimNo":claimNo},// 你的formid
			        async: false,
			        error: function(request) {
			            alert("操作失败！");
			        },
			        success: function(data) {
			        	$("#sqr_pid").val(data.pid);
						$("#sqr_pname").val(data.name);
						$("#sqr_phone").val(data.phone);
						$("#sqr_tel").val(data.ftele);
						$("#sqr_contractAddr").val(data.faddr);
						$("#sqr_email").val(data.email);
						$("#sqridtype").val(data.idtype);
						if(data.idtype=='a'){
							$("#spansqridtype").html("身份证");
						}else if(data.idtype=='c'){
							$("#spansqridtype").html("护照");
						}else if(data.idtype=='d'){
							$("#spansqridtype").html("军官证");
						}else if(data.idtype=='j'){
							$("#spansqridtype").html("港澳台护照");
						}else if(data.idtype=='l'){
							$("#spansqridtype").html("台湾居民通行证");
						}else if(data.idtype=='z'){
							$("#spansqridtype").html("其它");
						}
						$("#sqr_postCode").val(data.fzip);
						$("#divSqrappInsRelationship").html($("#divrepInsRelationship").html());
						$("#spansqrappInsRelationship").html("本人");
						$("#sqrappInsRelationship").val("401");
						$("#sqrsex").val($("#sex").val());
						if(data.sex=="1"){
							$("#spansqrsex").html("男");
						}else{
							$("#spansqrsex").html("女");
						}
						
			        }
			    });
			}
			if(dataId=="check_sqrBar"){
				$("#check_sqrBbr").removeClass().addClass("check_no");
				$("#sqr_pid").val($("#pid").val());
				$("#sqr_pname").val($("#pname").val());
				$("#sqr_phone").val($("#phone").val());
				$("#sqr_tel").val($("#tel").val());
				$("#sqr_contractAddr").val($("#contractAddr").val());
				$("#spanSqrsex").html($("#spansex").html());
				$("#divSqrappInsRelationship").html($("#divrepInsRelationship").html());
				if($("#dividtype_code").val()!=null && $("#dividtype_code").val()!=""){
					$("#sqridtype").val($("#dividtype_code").val());
				}else{
					$("#sqridtype").val($("#idtype").val());
				}
				$("#spansqridtype").html($("#cardType").html());
				$("#sqr_postCode").val($("#postCode").val());
				$("#sqr_email").val($("#email").val());
				$("#spansqrsex").html($("#spansex").html());
				$("#spansqrappInsRelationship").html($("#spanrepInsRelationship").html());
				//只读设置
				//$('#divsqridtype').attr("disabled", "disabled");  // 禁用
			}
		}
		
		
	}	
	
	function queryAccidentInfo(){
		SkipByPost("queryAccidentInfo.do",{claimNo:$("#claimNo").val() ,policyNo:$("#policyNo").val(),isSendFlag:$("#isSendFlag").val(),branchIdSelect:$("#branchIdSelect").val(),paying:$("#dpa-value").val()});
	}
	
	function clmInsureQuery(){
		SkipByPost("clmInsureQuery.do",{claimNo:$("#claimNo").val(),pid:$("#pid").val(),isSendFlag:$("#isSendFlag").val(),branchIdSelect:$("#branchIdSelect").val()});
	}
	
	function check_person(a){
		//id="formPerson" style="display: none"
			divformPerson.style.display='block';
			divformCenter.style.display='none';
			$("#claimPayeeType").val("1");
			//$("#")
			$("#geren").attr("class",'check_no txt_blue');
			$("#danwei").attr('class','check_yes txt_blue');
			//.attr('class',);
	}
	function check_center(a){
		//id="formCenter" style="display: none">
		divformCenter.style.display='block';
		divformPerson.style.display='none';
		$("#claimPayeeType").val("2");
		
		$("#danwei").attr("class",'check_no txt_blue');
		$("#geren").attr("class",'check_yes txt_blue');
	}
	//编辑领款人信息（通过ID先查询）
	function editClmPayeeQuery(id,current){
		//当前从不选中到选中时直接跳回不进入编辑框

		var caseSource = $("#case-source").val();
		
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"queryClmPayee.do",
	        data:{"id":id},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	       // async: false,
	        error: function(request) {
	            alert("查询失败！");
	        },
	        success: function(data) {
	        	 //$("#pid").val(data.objId);
	        	 $("#claimPayeeId").val(data.claimPayeeId);         //证件号码：                        
	        	 $("#claimPayeeName").val(data.claimPayeeName);      //姓名：            
	        	 $("#payeePhone").val(data.payeePhone);          //移动电话：        
	        	 $("#payeeTel").val(data.payeeTel);            //固定电话：        
	        	 $("#payeeContractAddr").val(data.payeeContractAddr);   //联系地址：        
	        	 $("#payeePostCode").val(data.payeePostCode);       //邮政编码：        
	        	 $("#payeeEmail").val(data.payeeEmail);          //邮箱地址：        
    			 $("#personsex").val(data.claimPayeeGenderCode);
    			 $("#personidtype").val(data.claimPayeeIdType);
    			 $("#paymodetype").val(data.payMode);
//    			 $("#claimPayeeType").val(data.claimPayeeType);
    			 $("#spanpersonidtype").html(data.claimPayeeIdName);//证件类型
    			 if(data.idtype=='a'){
						$("#spanpersonidtype").html("身份证");
					}else if(data.idtype=='c'){
						$("#spanpersonidtype").html("护照");
					}else if(data.idtype=='d'){
						$("#spanpersonidtype").html("军官证");
					}else if(data.idtype=='j'){
						$("#spanpersonidtype").html("港澳台护照");
					}else if(data.idtype=='l'){
						$("#spanpersonidtype").html("台湾居民通行证");
					}else if(data.idtype=='z'){
						$("#spanpersonidtype").html("其它");
					}
    			 if(data.claimPayeeGenderName != "" && data.claimPayeeGenderName != null){
        			 $("#spanpersonsex").html(data.claimPayeeGenderName);  // 性别
    			 }else{
    				 $("#spanpersonsex").html("请选择性别");                // 性别
    			 }

    			 if(data.bankCode != "" && data.bankCode !=null){
    				 $("#divbankType").val(data.bankCode);
    				 type = data.bankCode;
    				 $("#bankCode").val(data.bankCode);
    			 }else if(data.bankType != "" && data.bankType !=null){
    				 $("#divbankType").val(data.bankType);
    				 type = data.bankType;
    				 $("#bankCode").val(data.bankType);
    			 }
    			 
    			// $("#payeeAreaCode").val(data.payeeAreaCode);//所在县区：
             	
    			 $("#objId").val(data.objId);
    			 //单位领款人
    			 
	        	 //领款人类型 1个人\2单位
	        	 if(data.claimPayeeType=="1"){
	        		 if(caseSource == "1"){ // 案件来源  1产险、2寿险、3健康险
	        			 $("#gropertyCenterBankName").val(data.bankName); // 银行名称
	        		 }else if(caseSource == "2"){
	        			 $("#spanbankNameList").val(data.bankName);       // 银行名称
	        		 }else if(caseSource == "3"){
	        			 $("#spanbankNameList").html(data.bankName);      // 银行名称
	        		 }
/*	        		 if(data.payMode == "3" && caseSource == "1"){//如果是转账就表示为必填
	        			 $("#spanbankName").html("*");
	        			 $("#spanbankAccountNo").html("*");
	        		 }else{
	        			 $("#spanbankName").html("");
	        			 $("#spanbankAccountNo").html("");
	        		 }*/
	        		 
	        		 if(data.payMode == "3"){//如果是转账就表示为必填
	        			 $("#spanbankName").html("*");
	        			 $("#spanbankAccountNo").html("*");
	        		 }else{
	        			 $("#spanbankName").html("");
	        			 $("#spanbankAccountNo").html("");
	        		 }
	        		 
	        		 $("#spanbankNameList").attr("code",data.bankCode);
	        		 $("#spanpaymode").attr("code",data.payMode);
	        		 $("#spanpayeeInsRelationship").html(data.payeeInsRelationshipName);//与被保险人关系
//	        		 $("#bankName").val(data.bankName);            //银行名称：        
		        	 $("#bankSubName").val(data.bankSubName);         //开户行：          
		        	 $("#bankAccountNo").val(data.bankAccountNo);       //银行帐号：
		        	 $("#payeeInsRelationship").val(data.payeeInsRelationship);
		        	 if(data.payMode=="1"){
	                	 $("#spanpaymode").html("现金");
	                 }else if(data.payMode=="2"){
	                	 $("#spanpaymode").html("支票");
	                 }else if(data.payMode=="3"){
	                	 $("#spanpaymode").html("转账");
	                 }
		        	 $("#province").html(data.payeeProvince);//所在省
	    			 $("#citySpan").html(data.payeeCityCode);//所在市：
	    			 $("#hosProvince").val(data.province);
	    			 $("#hosCityCode").val(data.cityCode);
	    			 $("#claimPayeeType").val(data.claimPayeeType);
//		        	 $("#spanbankName").html("");
		 			 $("#ddspanbankSubName").html("");
//		 			 $("#spanbankAccountNo").html("");
		 			 $("#payRate").val(data.payRate);//支付方式
		         if(data.bankType!=null && data.bankType!=""){
		        	// bankNamechange(data.bankType, data.bankName);//重新去接口取数据
		        	 $("#divbankType").val(data.bankType);
		         }
			         $("#spanbankNameList").html(data.bankName);
		        	 $("#spanbankSubName").html(data.bankSubName); //开户行：     
		        	 $("#divbankNameListinput").val(data.bankName);
		        	 $("#bankSubName").val(data.bankSubName);
		        	 $("#personbankCode").val(data.bankCode);	
			         divformPerson.style.display='block';
	     			 divformCenter.style.display='none';
	     			TPAInfo.style.display='none';
					hospitalInfo.style.display='none';
	        	 }else if(data.claimPayeeType=="2"){
	        		 if(data.payMode == "3" && caseSource == "1"){//如果是转账就表示为必填
	        			 $("#spancenterbankName").html("*");
	        			 $("#spancenterbankAccountNo").html("*");
	        		 }else{
	        			 $("#spancenterbankName").html("");
	        			 $("#spancenterbankAccountNo").html("");
	        		 }
	        		 $("#spancenterrelationship").html(data.payeeInsRelationshipName);//与被保险人关系
	        		 $("#centerrelationship").val(data.payeeInsRelationship);//与被保险人关系代码
	        		 $("#bankAccountName").val(data.claimPayeeName);//公司名称
	        		 $("#centerbankAccountNo").val(data.bankAccountNo);//银行帐号
	        		 $("#spancenterpaymodetype").html(data.payModeName);//支付方式中文名
	        		 $("#centerpaymodetype").val(data.payMode);//支付方式
//	        		 if(data.payMode=="1"){
//	                	 $("#centerpaymodetype").html("现金");
//	                 }else if(data.payMode=="2"){
//	                	 $("#centerpaymodetype").html("支票");
//	                 }else if(data.payMode=="3"){
//	                	 $("#centerpaymodetype").html("转账");
//	                 }
	        		 $("#spancenterbankNameList").html(data.bankName);//银行名称(显示)
	        		// $("#dropertyCenterBankName").val(data.bankName);
	        		 $("#divcenterbankName").val(data.bankName);//银行名称
	        		 $("#centerbankType").val(data.bankType);//银行类型
	        		 $("#spancenterbankSubName").html(data.bankSubName);//开户银行名称(显示)
	        		 $("#centerbankSubName").val(data.bankSubName);//开户银行名称
	        		 $("#centerbankCode").val(data.bankCode);//开户银行代码
//	        		 $("#spancenterbankName").html("");
	     			 $("#spancenterbankSub").html("");
//	     			 $("#spancenterbankAccountNo").html("");
	     		 	 $("#provinces").html(data.payeeProvince);//所在省
	    			 $("#citySpans").html(data.payeeCityCode);//所在市：
	    			 $("#hosProvince").val(data.province);
	    			 $("#hosCityCode").val(data.cityCode);
	    			 $("#claimPayeeType").val(data.claimPayeeType);
	    			 if(data.bankName==""||data.bankName==null){
	    				 $("#spancenterbankNameList").html("请选择银行名称");//公司名称
	    			 }
	     			/* $("#province").html(data.payeeProvince);//所在省
	    			 $("#citySpan").html(data.payeeCityCode);//所在市：
*/	     			 divformCenter.style.display='block';
	        		divformPerson.style.display='none';
	        		TPAInfo.style.display='none';
					hospitalInfo.style.display='none';
	        	 }else if(data.claimPayeeType=="3"){
	        		 
	        		 $("#hospitalName").html(data.tblMedinsInfo.medinsChnName);
						$("#hospitalAddr").html(data.tblMedinsInfo.chnAddress);
						$("#hospitalType").html(data.tblMedinsInfo.medinsNatrue);
						$("#contactPerson").html(data.tblMedinsInfo.contact);
						$("#contactPhone").html(data.tblMedinsInfo.contactPhone);
						$("#faxNo").html(data.tblMedinsInfo.faxNumber);
						$("#BankAccountName").html(data.tblMedinsInfo.accountName);
						$("#BankName").html(data.tblMedinsInfo.bankName);
						
//						$("#spanbankAccountNo").html("*");
						$("#BankAccountNo").html(data.tblMedinsInfo.accountNo);
						$("#hospitalSpanpaymode").html(data.payModeName);
						
						$("#yiyuanName").val(data.partnerInfo.partnerName);
						$("#hospitalcontactPerson").val(data.partnerInfo.contactPerson);
						$("#partnerId").val(data.partnerId);
						$("#hospitalpaytype").val(data.payMode);
//						if(data.payMode=="1"){
//		                	 $("#hospitalpaytype").html("现金");
//		                 }else if(data.payMode=="2"){
//		                	 $("#hospitalpaytype").html("支票");
//		                 }else if(data.payMode=="3"){
//		                	 $("#hospitalpaytype").html("转账");
//		                 }
						$("#zhifuBankAccountName").val(data.tblMedinsInfo.accountName);
//						$("#zhifuBankName").val(data.bankAccountNo);
						$("#zhifuBankAccountNo").val(data.tblMedinsInfo.accountNo);
//						$("#bankName").val(data.bankName);
						$("#zhifuBankName").val(data.tblMedinsInfo.bankName);
						$("#zhifuBankCode").val(data.tblMedinsInfo.bankCode);
						
						divformCenter.style.display='none';
		        		divformPerson.style.display='none';
						TPAInfo.style.display='none';
						hospitalInfo.style.display='block';
	        	 }else if(data.claimPayeeType=="4"){
						$("#tpaName").text(data.tblTpaServiceSup.tpaSupName);
						$("#tpaAddr").text("");
						$("#tpaContactPerson").text("");
						$("#tpaContactPhone").text("");
						$("#tpafFaxNo").text("");
						$("#tpaBankAccountName").text(data.bankAccountName);
						$("#tpaBankName").text(data.bankName);
						$("#tpaBankCode").text(data.bankCode);
						$("#tpaBankAccountNo").text(data.bankAccountNo);
			            $("#partnerId").val(data.partnerId);
			            $("#claimPayeeType").val(data.claimPayeeType);
		                $("#paymodetype").val(data.payMode);
		                if(data.payMode=="1"){
		                	 $("#tpaSpanpaymode").html("现金");
		                 }else if(data.payMode=="2"){
		                	 $("#tpaSpanpaymode").html("支票");
		                 }else if(data.payMode=="3"){
		                	 $("#tpaSpanpaymode").html("转账");
		                 }
		                $("#tpaSpanpaymode").html(data.payModeName);
			            $("#payType").val('4');
						$("#TPAName").val(data.tblTpaServiceSup.tpaSupName);
						$("#TPAcontactPerson").val(data.tblTpaServiceSup.tpaSupName);
						$("#partnerId").val(data.partnerId);
						$("#tpapaytype").val(data.payMode);
						
						divformCenter.style.display='none';
		        		divformPerson.style.display='none';
						TPAInfo.style.display='block';
						hospitalInfo.style.display='none';
	        	 }

	        
	        }
	    });
	}
	
	//删除领款人信息
	function delClmPayee(id,current){
		if(confirm("是否删除当前记录！")==false){
			return;
		}
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"delClmPayee.do",
	        data:{"id":id},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	        async: false,
	        error: function(request) {
	            alert("删除失败！");
	        },
	        success: function(data) {
	        	alert("删除成功！");
	        	//$("#paybody").remove(aa.firstChild);
	        	//$("#payTbbody tr[id='"+id+"']").remove();
	        	$("#payTb"+id+"").remove();
	        	divformPerson.style.display='none';
	        	divformCenter.style.display='none';
	        	TPAInfo.style.display='none';
				hospitalInfo.style.display='none';
	        }
	    });
		
		
	}
	
	function addClmPayee(){
		$("a[name='saveClmPayee']").attr("onclick","");
		var source = $("#case-source").val(); 
		var check = new RegExp("^[0-9]*$");//校验银行账号是否仅为数字
		//
		if($("#claimPayeeType").val()=="1"){//个人
			if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","spanpaymode")){//领款人的支付方式必须为一种
				alert("同一赔案下领款人支付方式请保持一致。");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return;
			}
			
			$("#bankCode").val($("#spanbankNameList").attr("code"));
			
		 selectCheck("paymodetype");
		 selectCheck("personidtype");
		 selectCheck("personsex");
		 selectCheck("payeeInsRelationship");
		 
		 if($("#divbankNameList_code").val()==undefined||$("#divbankNameList_code").val()==""){
			 $("#formPerson").find("#divbankType").val(type);
		 }else{
			 $("#formPerson").find("#divbankType").val($("#divbankNameList_code").val());
		 }
		 if($("#payeeInsRelationship").val()=="")//新增时校验
			if($("#divpayeeInsRelationship_code").length<1 || $("#divpayeeInsRelationship_code").val()==""){
				alert("请选择与被保险人关系!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
		 
			if($("#claimPayeeId").val()==null || $("#claimPayeeId").val()==""){
				alert("证件号码不能为空!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
			//校验申请人身份证证件号码有效性
			if($("#personidtype").val()=="a"){
				if(checkIdentityCardTrueOrFalse($("#claimPayeeId").val())==false){
					alert("领款人身份证号码格式有误，请检查!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
			}
			
			if($("#claimPayeeName").val()==null || $("#claimPayeeName").val()==""){
				alert("姓名不能为空!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
//		if($("#personsex").val()=="")//新增时校验
//			if($("#divpersonsex_code").length<1 || $("#divpersonsex_code").val()==""){
//				alert("性别不能为空!");
//				return false;
//			}
		if($("#personidtype").val()=="")//新增时校验	
			if($("#divpersonidtype_code").length<1 || $("#divpersonidtype_code").val()==""){
				alert("证件类型不能为空!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
			
			if($("#payeePhone").val()=="" && $("#payeeTel").val()==""){
				alert("固定电话或移动电话必须填写一项!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
			
//			if($("#payeeContractAddr").val()==null || $("#payeeContractAddr").val()==""){
//				alert("联系地址不能为空!");
//				return false;
//			}
			
		if($("#paymodetype").val()=="")//新增时校验	
			if($("#divpaymodetype_code").length<1 || $("#divpaymodetype_code").val()==""){
				alert("支付类型不能为空!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
//			if($("#divpaymodetype_code").val()=="3"){//支付类型不为现金时银行信息为必录  
		    if($("#spanpaymode").attr("code") == "3"){//支付类型不为现金时银行信息为必录  
				if($("#bankAccountNo").val().length>25){
					alert("银行帐号长度不能超过25位!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
				//after
				//casesource = 1 : dropertyCenterBankName
				//2/3:spancenterbankNameList   //spanbankNameList  //spanbankNameList
				if(source == "1"){
					if($("#gropertyCenterBankName").val()==null || $("#gropertyCenterBankName").val()==""){
						alert("银行名称不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
				}
				
				if(source == "2" || source == "3" ){
					if($("#spanbankNameList").attr("code") == null || $("#spanbankNameList").attr("code") == ""){
						alert("银行名称不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
				}
				
				//before
/*				if($("#divbankNameListinput").val()==null || $("#divbankNameListinput").val()==""){
					alert("银行名称不能为空!");
					return false;
				}
				if($("#spanbankNameList").html()=="" || $("#spanbankNameList").html()=="请选择银行名称"){
					alert("银行名称不能为空!");
					return false;
				}*/
				
				/*if($("#spanbankSubName").html()=="" || $("#spanbankSubName").html()=="请选择开户行"){
					alert("开户行不能为空!");
					return false;
				}
				if($("#bankSubName").val()==null || $("#bankSubName").val()==""){
					alert("开户行不能为空!");
					return false;
				}*/
				if($("#bankAccountNo").val().trim()==""){
					alert("银行帐号不能为空!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
				if(!check.test($("#bankAccountNo").val())){ 
					alert("银行帐号不能为非数字!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
			}
			
			if($("#payeePostCode").val()!="" ){
				if($("#payeePostCode").val().length!=6){
					alert("邮编长度必须为6位!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
			}
			if($("#payeePhone").val()!="" ){
				if($("#payeePhone").val().length!=11){
					alert("移动电话长度必须为11位!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
			}
			if($("#payeeEmail").val()!=null && $("#payeeEmail").val()!=""){
				if(emailCheck($("#payeeEmail").val())==false){
					return;
				}
				
			}
			if($("#bankAccountNo").val().length>25){
				alert("银行帐号长度不能超过25位!");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return false;
			}
		/*	if($("#payRate").val()!=null&&$("#payRate").val()==""){
				alert("支付比例不能为空");
				return false;
			}*/
			//校验支付比例是否大于100
			var totalPay = 0;
			
			$("#payTbbody").find("tr").each(function(){
				if(($(this).attr("code")!="") && $(this).attr("id") != ("payTb"+$("#objId").val()) && ($(this).attr("code") !="null")){
					totalPay = totalPay*1 + $(this).attr("code")*1 ;
				}
			});
			totalPay = totalPay + $("#payRate").val()*1;
			if(totalPay > 100){
				alert("领款人支付比例之和大于100");
				return;
			}
//		
	
			
			
		}else if($("#claimPayeeType").val()=="2"){//单位
			
			if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","spancenterpaymodetype")){//领款人的支付方式必须为一种
				alert("同一赔案下领款人支付方式请保持一致。");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return;
			}
			
			selectCheck("centerrelationship");
			selectCheck("centerpaymodetype");
			if($("#centerrelationship").val()=="")//新增时校验
				if($("#divcenterrelationship_code").length<1 || $("#divcenterrelationship_code").val()==""){
					alert("请选择与被保险人关系!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
				if($("#bankAccountName").val()==null || $("#bankAccountName").val()==""){
					alert("公司名称不能为空!");
					$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
					return false;
				}
				//if($("#paymodetype").val()=="3"){
					if($("#centerpaymodetype").val()=="")//新增时校验
						if($("#divcenterpaymodetype_code").val()==null || $("#divcenterpaymodetype_code").val()==""){
							alert("支付方式不能为空!");
							$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
							return false;
						}	
//				}else {
//					$("#divcenterbankName").val("");
//					
//				}
			
		
			//支付方式不为现金时
			if($("#divcenterpaymodetype_code").val()=="2"){
				if($("#centerbankType").val()==""){
//					//新增时校验
//					if($("#divcenterbankNameList_code").val()==null || $("#divcenterbankNameList_code").val()==""){
//						alert("单位银行名称不能为空!");
//						return false;
//					}
					$("#centerbankType").val($("#divcenterbankNameList_code").val());
				}else{//修改
					if($("#divcenterbankNameList_code").val()!=""){
						$("#centerbankType").val($("#divcenterbankNameList_code").val());
					}
				}
				
//				if($("#spancenterbankNameList").html()==""){
//					alert("单位银行名称不能为空!");
//					return false;
//				}
				
				/*if($("#centerbankCode").val()==""){//新增时校验
					if($("#centerbankCode").val()==null || $("#centerbankCode").val()==""){
						alert("单位开户行不能为空!");
						return false;
					}
				}else{
					if($("#spancenterbankSubName").html()=="请选择开户行" || $("#spancenterbankSubName").html()==""){
						alert("单位开户行不能为空!");
						return false;
					}
				}*/
				//alert($("#spancenterbankNameList").html());
//				 $("#divcenterbankName").val($("#spancenterbankNameList").html());//银行名称中文名	
//					if($("#centerbankAccountNo").val()==null || $("#centerbankAccountNo").val()==""){
//						alert("银行帐号不能为空!");
//						return false;
//					}
			}
			
//			if($("#divcenterpaymodetype_code").val()=="3"){
			if($("#centerpaymodetype").val()=="3"){
				if(source == "3"){ //spancenterbankNameList  centerbankAccountNo
					if($("#spancenterbankNameList").html().trim()==""){
						alert("单位银行名称不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
				}else if(source == "2"){
					if($("#spancenterbankNameList").html().trim()==""){
						alert("单位银行名称不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
				}else if(source == "1"){
//					$("#dropertyCenterBankName").val(); // 银行名称 
					if($("#dropertyCenterBankName").val().trim()==""){
						alert("单位银行名称不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee()");
						return false;
					}
					
				}
				
				if($("#centerbankType").val()==""){
					//新增时校验

					if(source == "3"){
						if($("#divcenterbankNameList_code").val()==null || $("#divcenterbankNameList_code").val()==""){
							alert("单位银行名称不能为空!");
							$("a[name='saveClmPayee']").attr("onclick","addClmPayee()");
							return false;
						}
					}else if(source == "2"){
						if($("#divcenterbankNameList_code").val()==null || $("#divcenterbankNameList_code").val()==""){
							alert("单位银行名称不能为空!");
							$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
							return false;
						}
					}else if(source == "1"){
//						$("#divcenterbankName").val($("#dropertyCenterBankName").val()); // 银行名称 
//						$("#centerbankType").val($("#bankCode").val());
					}
					
					

					
					
					$("#centerbankType").val($("#divcenterbankNameList_code").val());
				}else{//修改
					if($("#divcenterbankNameList_code").val()!=""){
						$("#centerbankType").val($("#divcenterbankNameList_code").val());
					}
				}
				


				 $("#divcenterbankName").val($("#spancenterbankNameList").html());//银行名称中文名
				 if( $("#divcenterbankName").val()==""){
					 $("#divcenterbankName").val($("#dropertyCenterBankName").val()); // 银行名称 
					 $("#centerbankType").val($("#bankCode").val());
				 }else{
					 $("#centerbankType").val($("#divcenterbankNameList_code").val());
				 }
					if($("#centerbankAccountNo").val()==null || $("#centerbankAccountNo").val()==""){
						alert("银行帐号不能为空!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
					if(!check.test($("#centerbankAccountNo").val())){
						alert("银行帐号不能为非数字!");
						$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
						return false;
					}
			}
			
		}else if($("#claimPayeeType").val()=="3"){
			if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","hospitalSpanpaymode")){//领款人的支付方式必须为一种
				alert("同一赔案下领款人支付方式请保持一致。");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return;
			}
			selectCheck("hospitalpaytype");
		}else if($("#claimPayeeType").val()=="4"){
			
			if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","tpaSpanpaymode")){//领款人的支付方式必须为一种
				alert("同一赔案下领款人支付方式请保持一致。");
				$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
				return;
			}
			selectCheck("tpapaytype");
		}
		$.ajax({
	        cache: false,
	        type: "POST",
	        url:"addClmPayee.do",
	        data:$('#formPerson').serialize(),// 你的formid
	        async: false,
	        error:function(XmlHttpRequest,textStatus, errorThrown)
            {
                //alert(errorThrown);
	        	if(errorThrown=="1"){
	        		alert("领款人银行帐号不合法！");
	        		$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
	        		return;
	        	}
            },
	        success: function(data) {
	        	if(data.d_Valid=="1"){
            		alert("领款人银行帐号不合法！");
            		$("a[name='saveClmPayee']").attr("onclick","addClmPayee();");
            		return;
            	}
	        	alert("保存成功！");
	        	divformPerson.style.display='none';
	        	divformCenter.style.display='none';
	        	hospitalInfo.style.display='none';
	        	TPAInfo.style.display='none';
	        	$('#geren').attr('class','check_no txt_blue');
	        	$('#danwei').attr('class','check_no txt_blue');
	        	$('#hospital').attr('class','check_no txt_blue');
	        	$('#tpa').attr('class','check_no txt_blue');
	            //清空新增记录
	          	payinfoempty();
	          	
	        	queryClmPayee();
	        }
	    });
	}
	//支付方式改变
	function paymodetypechang(va){
		$("#pay-type").val(va);
		if(va=="3"){
			$("#spanbankName").html("*");
			$("#ddspanbankSubName").html("*"); 
			$("#spanbankAccountNo").html("*");
//			$("#bankName").attr("readonly","");
//			$("#bankSubName").attr("readonly","");
//			$("#bankAccountNo").attr("readonly","");
			$("#bankname").css("display","");
			$("#spanbankNameList").html("请选择银行名称");
		}else{
			$("#gropertyCenterBankName").val("");
			$("#bankAccountNo").val("");
			
			$("#spanbankName").html("");
			$("#ddspanbankSubName").html("");
			$("#spanbankAccountNo").html("");
			$("#spanbankNameList").html("请选择银行名称");
			$("#spanbankSubName").html("请选择开户行");
//			$("#bankName").attr("readonly","readonly");
//			$("#bankSubName").attr("readonly","readonly");
//			$("#bankAccountNo").attr("readonly","readonly");
			$("#bankAccountNo").val("");
			$("#bankname").css("display","none");
			$("#divbankNameListinput").val("");
			
		}
		
		
	}
	//支付方式改变
	function centerpaymodetypechang(va){
		
		if(va=="1"){
			$("#dropertyCenterBankName").val(""); // empty 银行名称 
			$("#centerbankAccountNo").val("");    // empty 银行帐号  
			
			$("#spancenterbankName").html("");
			$("#spancenterbankSub").html("");
			$("#spancenterbankAccountNo").html("");
			$("#spancenterbankNameList").html("请选择银行名称");
			$("#spancenterbankSubName").html("请选择开户行");
			$("#centerbankSubName").val("");
			$("#centerbankAccountNo").val("");//银行账号：   
			$("#paymentbankNameList").css("display","none");
			$("#divcenterbankName").val("");
			$("#divbankNameListinput").val("");

		}else if(va=="2"){
			$("#dropertyCenterBankName").val(""); // empty 银行名称 
			$("#centerbankAccountNo").val("");    // empty 银行帐号  
			
			$("#spancenterbankName").html("");
			$("#spancenterbankSub").html("");
			$("#spancenterbankAccountNo").html("");
			$("#paymentbankNameList").css("display","none");
			$("#spancenterbankNameList").html("请选择银行名称");
			$("#spancenterbankSubName").html("请选择开户行");
			$("#centerbankAccountNo").val("");//银行账号：   
			$("#divcenterbankName").val("");
			$("#divbankNameListinput").val("");
		}else{
			$("#spancenterbankName").html("*");
			$("#spancenterbankSub").html("*");
			$("#spancenterbankAccountNo").html("*");
			$("#paymentbankNameList").css("display","");
		}
		
		
	}
	//个人银行名称
	function bankNamechange(code,name){
		$("#spanbankSubName").html("请选择开户行");
		$.ajax({
			type:"POST",
			url:"querySubBankName.do",
			sync:true,
			data :{bankCode:code,bankName:name},
			success:function(data){
				
				$("#divbankSubName ul").html("");
				//alert(data);
				$.each(data,function(i,n){
					if(n.bank_nm!=null && n.bank_nm!=null){
						$("#divbankSubName ul").append("<li code=\""+n.bank_code+"\">"+n.bank_nm+"</li>");
					}
				});
				$("#divbankSubName.select").find(".sel_list li").hover( function (){
					$(this).addClass("sel_hov");		
				},function (){
					$(this).removeClass("sel_hov");	
				}).on('click',function(){
					var _this = $(this).html();
					var _thisText = $(this).closest(".select").find(".sel_text");
					_thisText.html(_this);
					$("#bankSubName").val(_this);
					//开户行代码
					 $("#personbankCode").val($(this).attr("code"));
				});
				
			}
		});
	}
	//单位银行名称
	function centerbankNamechange(code,name){
		$("#spancenterbankSubName").html("请选择开户行");
		$("#centerbankSubName").val("");
		//银行名称
		$("#divcenterbankName").val(name);
		//银行类型
		$("#divformCenter").find("#divbankType").val(code);//银行名称类型
		$.ajax({
			type:"POST",
			url:"querySubBankName.do",
			sync:true,
			data :{bankCode:code,bankName:name},
			success:function(data){
				$("#divcenterbankSubName ul").html("");
				$.each(data,function(i,n){
					if(n.bank_nm!=null && n.bank_nm!=null){
						$("#divcenterbankSubName ul").append("<li code=\""+n.bank_code+"\">"+n.bank_nm+"</li>");
					}
				});
				$("#divcenterbankSubName.select").find(".sel_list li").hover( function (){
					$(this).addClass("sel_hov");		
				},function (){
					$(this).removeClass("sel_hov");	
				}).on('click',function(){
					var _this = $(this).html();
					var _thisText = $(this).closest(".select").find(".sel_text");
					_thisText.html(_this);
   					$("#centerbankSubName").val(_this);
					//开户行代码
					 $("#centerbankCode").val($(this).attr("code"));

				});
				
			}
		});
	}
	
	function queryClmPayee(){
		$("#payTbbody").html("");
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"queryClmPayeeInfo.do",
	        data:{claimNo:$('#claimNo').val()},// 你的formid
	        async: false,
	        error: function(request) {
	        	throw Excetion("赔案相关信息保存失败！");
	        },
	        success: function(data) {
	        	var clmPayeeList=data.clmPayeeList;
//	        	
	        	$.each(clmPayeeList,function(i,n){
	        		if(clmPayeeList[i].claimPayeeType=="1"||clmPayeeList[i].claimPayeeType=="2"){
	        			$("#payTbbody").append("<tr id='payTb"+clmPayeeList[i].objId+"' code=\""+clmPayeeList[i].payRate+"\"><th width=\"6%\">"+clmPayeeList[i].idnumber+".</th>"+
	       	                 "<td width=\"9%\">"+clmPayeeList[i].claimPayeeName+"</td>"+
	       	                 "<td width=\"17%\">同被保险人关系："+clmPayeeList[i].payeeInsRelationshipName+"</td>"+
	       	                 "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+clmPayeeList[i].payModeName+"</span></td>"+
	       	                 "<td width=\"5%\"><a href=\"javascript:editClmPayeeQuery('"+clmPayeeList[i].objId+"','current')\" class=\"txt_blue\">编辑</a></td>"+
	       	                 "<td width=\"51%\"><a href=\"javascript:delClmPayee('"+clmPayeeList[i].objId+"',this)\" class=\"txt_blue\">删除</a></td>"+
	       	               "</tr>");
	        		}else{
	        			
	        			$("#payTbbody").append("<tr id='payTb"+clmPayeeList[i].objId+"'><th width=\"6%\">"+clmPayeeList[i].idnumber+".</th>"+
		       	                 "<td width=\"9%\">"+clmPayeeList[i].partnerName+"</td>"+
		       	                 "<td width=\"17%\">联系人："+clmPayeeList[i].contactPerson+"</td>"+
		       	                 "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+clmPayeeList[i].payModeName+"</span></td>"+
		       	                 "<td width=\"5%\"><a href=\"javascript:editClmPayeeQuery('"+clmPayeeList[i].objId+"','current')\" class=\"txt_blue\">编辑</a></td>"+
		       	                 "<td width=\"51%\"><a href=\"javascript:delClmPayee('"+clmPayeeList[i].objId+"',this)\" class=\"txt_blue\">删除</a></td>"+
		       	               "</tr>");
	        		}
	        		
		        	
	        	});
	        	
	        }
	    });
	}
	
	//赔案相关人员信息保存
	function savepayInfo(optype){

		//报案要信息与被保险人关系下拉
		selectCheck("repInsRelationship");
		//校验支付比例是否大于100
//		var totalPay = 0;
//		
//		$("#payTbbody").find("tr").each(function(){
//			if(($(this).attr("code")!="") && $(this).attr("id") != ("payTb"+$("#objId").val()) && ($(this).attr("code") !="null")){
//				totalPay = totalPay*1 + $(this).attr("code")*1 ;
//			}
//		});
//		totalPay = totalPay + $("#payRate").val()*1;
//		if(totalPay!=0&&totalPay < 100){
//			alert("领款人支付比例之和小于100");
//			return;
//		}
		
		//报案人与被保险人关系
		//alert($("#repInsRelationship").val());
		if($("#repInsRelationship").val().length<1){
			alert("请选择报案人与被保险人关系！");
			return false;
		}
		//证件类型
		selectCheck("idtype");
		if($("#idtype").val().length<1){
			alert("请选择报案人证件类型！");
			return false;
		}
		//性别
		selectCheck("sex");
		if($("#sex").val().length<1){
			alert("请选择报案人性别！");
			return false;
		}
		if($("#reportDate").val()==null || $("#reportDate").val()==""){
			alert("报案日期不能为空！");
			return false;
		}
		if(dateCheck($("#currentDate").val(),$("#reportDate").val())){
			jAlert("报案日期不能大于当前日期！");
			return false;
		}
		if($("#email").val()!=null && $("#email").val()!=""){
			if(emailCheck($("#email").val())==false){
				return;
			}
			
		}
		
		if($("#pid").val()==null || $("#pid").val()==""){
			alert("报案人证件号码不能为空！");
			return false;
		}
		
		if($("#pname").val()==null || $("#pname").val()==""){
			alert("报案人姓名不能为空！");
			return false;
		}
		if($("#phone").val()=="" && $("#tel").val()==""){
			alert("报案人的移动电话和固定电话必须填一项！");
			return false;
		}
		
		if($("#postCode").val()!=""){
			if($("#postCode").val().length!=6){
				alert("报案人邮政编码长度必须为6位!");
				return false;
			}
		}
		if($("#phone").val()!=""){
			if($("#phone").val().length!=11){
				alert("报案人移动电话长度必须为11位!");
				return false;
			}
		}
		
		//申请人信息校验
		
//		if($("#sqr_phone").val()=="" && $("#sqr_tel").val()==""){
//			alert("申请人的移动电话和固定电话必须填一项！");
//			return false;
//		}
		
		//报案人同被保人
		if($("#check_bbr").is(".check_yes")){
			$("#isRepInsruedSame").val("Y");
		}else{
			$("#isRepInsruedSame").val("N");
		}
		
		//申请人同被保人
		if($("#check_sqrBbr").is(".check_yes")){
			$("#isAppInsruedSame").val("Y");
		}else{
			$("#isAppInsruedSame").val("N");
		}
		//申请人同报案人
		if($("#check_sqrBar").is(".check_yes")){
			$("#isAppRepSame").val("Y");
		}else{
			$("#isAppRepSame").val("N");
		}
		
		
		
		//校验报案人身份证证件号码有效性
		if($("#idtype").val()=="a"){
			if(checkIdentityCardTrueOrFalse($("#pid").val())==false){
				alert("报案人身份证号码格式有误，请检查!");
				return false;
			}
		}
		
		
		//申请人性别
		selectCheck("sqrsex");
		//申请人证件类型
		selectCheck("sqridtype");
		//校验申请人身份证证件号码有效性
		if($("#sqridtype").val()=="a"){
			if(checkIdentityCardTrueOrFalse($("#sqr_pid").val())==false){
				alert("申请人身份证号码格式有误，请检查!");
				return false;
			}
		}
		
		if($("#sqr_postCode").val()!=""){
			if($("#sqr_postCode").val().length!=6){
				alert("申请人邮政编码长度必须为6位!");
				return false;
			}
		}
		if($("#sqr_phone").val()!=""){
			if($("#sqr_phone").val().length!=11){
				alert("申请人移动电话长度必须为11位!");
				return false;
			}
		}
		//申请人邮箱校验
		if($("#sqr_email").val()!=null && $("#sqr_email").val()!=""){
			if(emailCheck($("#sqr_email").val())==false){
				return;
			}
			
		}
		//$("#sqridtype").val($("#divSqridtype_code").val());
		selectCheck("sqrappInsRelationship");
//		
//		//支付比例
//		if($("#payRate").val()!=null&&$("#payRate").val()==""){
//				alert("支付比例不能为空");
//				return;
//		}
//		$.ajax({
//	        type: "POST",
//	        url:"savePayRate.do",
//	        data:$('#formPayInfo').serialize(),// 你的formid
//	        error: function() {
//	            alert("调用失败。");
//	        },
//	        success: function(data) {
//	        	if(data=="1"){
//	        		$.ajax({
//	        	        type: "POST",
//	        	        url:"savepayInfo.do",
//	        	        data:$('#formPayInfo').serialize(),// 你的formid
//	        	        error: function(request) {
//	        	            alert("保存失败！");
//	        	        },
//	        	        success: function(data) {
//	        	        	if(optype=="1"){
//	        	        		return true;
//	        	        	}
//	        	        	alert("保存成功！");
//	        	        }
//	        	    });
//	        	}else{
//	        		alert("多个领款人的支付比例，校验之和必须为100%！支付比例校验不合规！请修改领款人的支付比例。");
//	        		return false;
//	        	}
//	        	
//	        }
//	    });
		//申请人信息
		if($("#spansqrappInsRelationship").attr("code")!=null){
			$("#sqrappInsRelationship").val($("#spansqrappInsRelationship").attr("code"));
		}
		//邮件发送通知书
		var email ="N";
		if($("#fs_email").is(".check_yes")){
			email="Y";
		}
		$("#emailY").val(email);
		$.ajax({
	        type: "POST",
	        url:"savepayInfo.do",
	        data:$('#formPayInfo').serialize(),// 你的formid
	        error: function(request) {
	            alert("保存失败！");
	        },
	        success: function(data) {
	        	if(optype=="1"){
	        		return true;
	        	}
	        	alert("保存成功！");
	        }
	    });
	}
	
	//1	个人2	单位  
	function changeCheckBox(id){
		
		
		if(id=='divformPerson'){/**个人*/
			$("#gropertyCenterBankName").val("");
			
			$("#spanbankNameList").attr("code","");
//			$("#paymentName").val(paymentN);
			//alert("选中个人："+$("#geren").is(".check_yes"));
			if($("#geren").is(".check_yes")){
				//当“个人”从选中到不选中时“单位”选框变为选中
				//$('#danwei').attr('class','check_yes txt_blue');
				//document.getElementById('divformCenter').style.display='block';
				//$('#claimPayeeType').val("2");
				document.getElementById(id).style.display='none';
				
			}else{
				//当“个人”从未选中到选中时“单位”选框变为不选中
				$('#danwei').attr('class','check_no txt_blue');
				$('#hospital').attr('class','check_no txt_blue');
				$('#tpa').attr('class','check_no txt_blue');
				document.getElementById('divformCenter').style.display='none';
				TPAInfo.style.display='none';
				hospitalInfo.style.display='none';
				
				document.getElementById(id).style.display='block';
				$("#claimPayeeType").val("1");
			}

		}else if(id=='divformCenter'){/**单位*/
			
			$("#dropertyCenterBankName").val(""); // empty 银行名称 
			$("#centerbankAccountNo").val("");    // empty 银行帐号  
			
			//alert("选中单位："+$("#danwei").is(".check_yes"));
			if($("#danwei").is(".check_yes")){
				//当“单位”从未选中到选中时“个人”选框变为不选中
				//$("#geren").attr('class',"check_yes txt_blue");
				//document.getElementById('divformPerson').style.display='block';
				document.getElementById(id).style.display='none';
				//$("#claimPayeeType").val("1");
			}else{
				$('#geren').attr('class','check_no txt_blue');
				$('#hospital').attr('class','check_no txt_blue');
				$('#tpa').attr('class','check_no txt_blue');
				document.getElementById('divformPerson').style.display='none';
				TPAInfo.style.display='none';
				hospitalInfo.style.display='none';
				document.getElementById(id).style.display='block';
				$("#claimPayeeType").val("2");
			}
			
		}
			if($("#objId").val()!=""){
				$("#objId").val("");
	//			if(confirm("点击新增后，保存后则会新增一条记录！是否确定")){
	//			}
			}
		payinfoempty();
		}
	
	//赔案相 关人员信息初始化
	function initinfo(){
		//报案人同被保人
		var isRepInsruedSame = $("#isRepInsruedSame").val();
		//alert(playingSong.val());
		if(isRepInsruedSame=='Y'){
			$("#check_bbr").attr("class","check_yes");
		}
		//申请人信息 同被保人
		var isAppInsruedSame = $("#isAppInsruedSame").val();
		//alert(playingSong.val());
		if(isAppInsruedSame=='Y'){
			$("#check_sqrBbr").attr("class","check_yes");
		}
		//申请人信息 同报案人
		var isAppRepSame = $("#isAppRepSame").val();
		//alert(playingSong.val());
		if(isAppRepSame=='Y'){
			$("#check_sqrBar").attr("class","check_yes");
		}
		//领款人信息
		queryClmPayee();
	}
	//领款人与被保险人关系选择为本人时取被保险人信息
	function payinfochange(current){
		alert($(current).html());
		if($(current).html()=="本人"){
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	$("#pid").val(data.pid);
					$("#pname").val(data.name);
					$("#phone").val(data.phone);
					$("#tel").val(data.ftele);
					$("#contractAddr").val(data.faddr);
					if(data.idtype=='a'){
						$("#cardType").html("身份证");
					}else if(data.idtype=='c'){
						$("#cardType").html("护照");
					}else if(data.idtype=='d'){
						$("#cardType").html("军官证");
					}else if(data.idtype=='j'){
						$("#cardType").html("港澳台护照");
					}else if(data.idtype=='l'){
						$("#cardType").html("台湾居民通行证");
					}else if(data.idtype=='z'){
						$("#cardType").html("其它");
					}
					$("#idtype").val(data.idtype);
					$("#postCode").val(data.fzip);
					$("#sex").val(data.sex);
					$("#repInsRelationship").val("401");
//		        	------------------
		         	 $("#claimPayeeId").val(data.pid);         //证件号码：                        
		        	 $("#claimPayeeName").val(data.claimPayeeName);      //姓名：            
		        	 $("#payeePhone").val(data.payeePhone);          //移动电话：        
		        	 $("#payeeTel").val(data.payeeTel);            //固定电话：        
		        	 $("#payeeContractAddr").val(data.payeeContractAddr);   //联系地址：        
		        	 $("#payeePostCode").val(data.payeePostCode);       //邮政编码：        
		        	 $("#payeeEmail").val(data.payeeEmail);          //邮箱地址：        
	    			 $("#personsex").val(data.claimPayeeGenderCode);
	    			 $("#personidtype").val(data.claimPayeeIdType);
	    			 $("#paymodetype").val(data.payMode);
	    			 $("#claimPayeeType").val(data.claimPayeeType);
	    			 $("#spanpersonidtype").html(data.claimPayeeIdName);//证件类型
					if(data.sex=="1"){
						$("#spanpersonsex").html("男");
					}else if(data.sex=="2"){
						$("#spanpersonsex").html("女");
					}else{
						$("#spanpersonsex").html("请选择性别");
					}
					
		        }
		    });
		}
	}
	
	//勾选直付医院
	function showDivHospital(){
		$("#yiyuan").val('');
		$("#partnerHospital").html('');
		
		if($("#hospital").is(".check_yes")){
			//当“直付医院”从选中到不选中时
			hospitalInfo.style.display='none';
			
		}else{
			//当“直付医院”从未选中到选中时
			$('#danwei').attr('class','check_no txt_blue');
			$('#geren').attr('class','check_no txt_blue');
			$('#tpa').attr('class','check_no txt_blue');
			document.getElementById('divformCenter').style.display='none';
			TPAInfo.style.display='none';
			divformPerson.style.display='none';
			
			$("#claimPayeeType").val("3");
			showDiv('divformHospital');
		}
		if($("#objId").val()!=""){
			$("#objId").val("");
		}
	}
	
	
	function showDivTpa(){
		$("#Tpa").val('');
		$("#partnerTpa").html('');
		
		if($("#tpa").is(".check_yes")){
			//当“Tpa”从选中到不选中时
			TPAInfo.style.display='none';
			
		}else{
			//当“Tpa”从未选中到选中时
			$('#danwei').attr('class','check_no txt_blue');
			$('#geren').attr('class','check_no txt_blue');
			$('#hospital').attr('class','check_no txt_blue');
			document.getElementById('divformCenter').style.display='none';
			hospitalInfo.style.display='none';
			divformPerson.style.display='none';
			
			$("#claimPayeeType").val("4");
			showDiv('divformTpa');
		}
		
		if($("#objId").val()!=""){
			$("#objId").val("");
		}
		
	}
	
	

	
	function queryHosiptal(){
			var partnerName = $("#yiyuan").val();
			if(partnerName ==null || partnerName ==""){
				alert("查询条件不能为空！");
				return false;
			}
			
			$.ajax({
				
				type:"POST",
				url:"findPartnerInfo.do",
				data:{"partnerName":partnerName,partnerType:'01'},
				error:function(){
					alert("查询失败！");
					return;
				},
				success:function(data){
					$("#partnerHospital").html('');
					if(data==null || data==""){
						$("#partnerHospital").append("<tr><td colspan=\"8\">查询不到相关内容，请检查查询条件</td></tr>");
					}
						for(var i= 0; i < data.length; i++){
							var h = data[i];
							$("#partnerHospital").append("<tr style=\"cursor:pointer\"  onclick=\"showHospitalInfo('"+isNull(h.partnerName)+"','"+isNull(h.objid)+"')\" ><td>"+isNull(h.partnerName)+"</td><td>"+isNull(h.partnerAddr)+
									"</td><td>"+isNull(h.hospitalType)+"</td><td>"+isNull(h.contactPerson)+"</td><td>"
									+isNull(h.contactPhone)+"</td><td>"+isNull(h.bankAccountName)+"</td><td>"+isNull(h.bankName)+"</td><td>"+isNull(h.bankAccountNo)+"</td></tr>");
//							$("#hospitalObjid").val(isNull(h.objid));
						}
				}
				
				
			});
			
			
		}
	
	
	function queryTpa(){
		
		var partnerName = $("#Tpa").val();
		if(partnerName ==null || partnerName ==""){
			alert("查询条件不能为空！");
			return false;
		}
		
		$.ajax({
			
			type:"POST",
			url:"findPartnerInfo.do",
			data:{"partnerName":partnerName,partnerType:'02'},
			error:function(){
				alert("查询失败！");
				return;
			},
			success:function(data){
				$("#partnerTpa").html('');
				if(data==null || data==""){
					$("#partnerTpa").append("<tr><td colspan=\"7\">查询不到相关内容，请检查查询条件</td></tr>");
					
				}
					for(var i= 0; i < data.length; i++){
						var h = data[i];
						$("#partnerTpa").append("<tr style=\"cursor:pointer\"  onclick=\"showTpaInfo('"+isNull(h.partnerName)+"','"+isNull(h.objid)+"')\"><td>"+isNull(h.partnerName)+"</td><td>"+isNull(h.partnerAddr)+
								"</td><td>"+isNull(h.contactPerson)+"</td><td>"
								+isNull(h.contactPhone)+"</td><td>"+isNull(h.bankAccountName)+"</td><td>"+isNull(h.bankName)+"</td><td>"+isNull(h.bankAccountNo)+"</td></tr>");
						
					}
					
					
			}
			
			
		});
		
		
		
	}
	
	
	function showHospitalInfo(name,id){
		
		divformCenter.style.display='none';
		divformPerson.style.display='none';
		TPAInfo.style.display='none';
		hospitalInfo.style.display='block';
		$("#claimPayeeType").val("3");
		

		closeDiv('divformHospital');
		showA(name,id);
		
	
		
	}
	
	
	function showA(name,id){
	$.ajax({
				
				type:"POST",
				url:"findPartnerInfo.do",
				data:{"partnerName":name,"partnerType":'01'},
				error:function(){
					alert("查询失败！");
					return;
				},
				success:function(data){
					for(var i= 0; i < data.length; i++){
						var h = data[i];
						if(h.objid==id){
							$("#hospitalName").html(name);
							$("#hospitalAddr").html(h.partnerAddr);
							$("#hospitalType").html(h.hospitalType);
							$("#contactPerson").html(h.contactPerson);
							$("#contactPhone").html(h.contactPhone);
							$("#faxNo").html(h.faxNo);
							$("#BankAccountName").html(h.bankAccountName);
							$("#BankName").html(h.bankName);
							$("#BankAccountNo").html(h.bankAccountNo);
							$("#hospitalSpanpaymode").html(h.payModeName);
							
							$("#yiyuanName").val(name);
							$("#hospitalcontactPerson").val(h.contactPerson);
							$("#partnerId").val(id);
							$("#hospitalpaytype").val(h.payMode);

							$("#zhifuBankAccountName").val(h.bankAccountName);
							$("#zhifuBankName").val(h.bankName);
							$("#zhifuBankAccountNo").val(h.bankAccountNo);
							$("#payinfoclaimPayeeId").val(h.orgCode);
//							$("#divbankNameListinput").html(h.bankName);

						
						}
						
					}
					
					
					
					
					
				}
				
				
			});
		
	}
		
		
	
	function showTpaInfo(name,id){
		divformCenter.style.display='none';
		divformPerson.style.display='none';
		TPAInfo.style.display='block';
		hospitalInfo.style.display='none';
		$("#claimPayeeType").val("4");
		
//		$("#danwei").attr("class",'check_no txt_blue');
//		$("#geren").attr("class",'check_no txt_blue');
		
		closeDiv('divformTpa');
		
		showB(name,id);
		
	}
	
	function showB(name,id){
		$.ajax({
					
					type:"POST",
					url:"findPartnerInfo.do",
					data:{"partnerName":name,"partnerType":'02'},
					error:function(){
						alert("查询失败！");
						return;
					},
					success:function(data){
						for(var i= 0; i < data.length; i++){
							var h = data[i];
							if(h.objid==id){
								$("#tpaName").html(name);
								$("#tpaAddr").html(h.partnerAddr);
								$("#tpaContactPerson").html(h.contactPerson);
								$("#tpaContactPhone").html(h.contactPhone);
								$("#tpafFaxNo").html(h.faxNo);
								$("#tpaBankAccountName").html(h.bankAccountName);
								$("#tpaBankName").html(h.bankName);
								$("#tpaBankAccountNo").html(h.bankAccountNo);
								$("#tpaSpanpaymode").html(h.payModeName);
								
								$("#TPAName").val(name);
								$("#TPAcontactPerson").val(h.contactPerson);
								$("#partnerId").val(id);
								$("#tpapaytype").val(h.payMode);
								
								
								$("#tpaBankAccountNames").val(h.bankAccountName);
								$("#tpaBankNames").val(h.bankName);
								$("#tpaBankAccountNos").val(h.bankAccountNo);
								$("#payinfoclaimPayeeId").val(h.orgCode);

							}
							
						}
						
						
						
						
						
					}
					
					
				});
			
		}
	

	
	
	function isNull(a){
		
		if(a==null){
			return "";
		}else if(a=="Y"){
			return "是";
		}else if(a=="N"){
			return "否";
		}else{
			return a;
		}
		
		
	}
	
	function selectedli(flag,flag2){
		if(flag2=='1'){
			$("#hospitalpaytype").val(flag);
		}else{
			$("#tpapaytype").val(flag);
		}
	}
	
	
	function checkPaymodeType(tblName,spanName,chooseName){
		var paymodeList = $("#"+tblName).find("tr");
		
		for (var i = 0; i < paymodeList.length; i++) {
			var id = $(paymodeList[i]).attr("id");
			var paymodeSpan = $(paymodeList[i]).find("SPAN[id='"+spanName+"']").html();
			$("#paymentName").val(paymodeSpan);//支付方式
			if($("#objId").val()!=null&&$("#objId").val()!=undefined){
				if($("#objId").val() == id.substr(5,id.length)){
					continue;
				}
			}
			if(paymodeSpan!=$("#"+chooseName).html()){
				return false;
			}
		}
		return true;
		
		
	}
	//个人领款人被保险人关系选择个人或被保人、投保人
	function relationshipChange(key){
		if(key=="401" || key=="406"){//本人
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	if(data.idtype=='a'){
						$("#spanpersonidtype").html("身份证");
					}else if(data.idtype=='c'){
						$("#spanpersonidtype").html("护照");
					}else if(data.idtype=='d'){
						$("#spanpersonidtype").html("军官证");
					}else if(data.idtype=='j'){
						$("#spanpersonidtype").html("港澳台护照");
					}else if(data.idtype=='l'){
						$("#spanpersonidtype").html("台湾居民通行证");
					}else if(data.idtype=='z'){
						$("#spanpersonidtype").html("其它");
					}
		        	$("#claimPayeeId").val(data.pid);
					$("#claimPayeeName").val(data.name);
					$("#payeePhone").val(data.phone);
					$("#payeeTel").val(data.ftele);
					$("#payeeContractAddr").val(data.faddr);
					$("#personidtype").val(data.idtype);
					$("#payeePostCode").val(data.fzip);
					$("#personsex").val(data.sex);
//					$("#repInsRelationship").val("401");
//					$("#spanrepInsRelationship").html("本人");
					$("#payeeEmail").val(data.email);
					/*$("#spanbankNameList").html(data.bankname);//银行名称
					$("#divbankNameListinput").val(data.bankname);
					$("#bankAccountNo").val(data.acctnum);//银行帐号
*/					
					var flag = 0;
					if(data.bankname!=""){
						$("#bk").find("ul").find("li").each(function(){
						
							if(data.bankname==$(this).text()){
								$("#spanbankNameList").html(data.bankname);//银行名称
								$("#divbankNameListinput").val(data.bankname);
								$("#bankAccountNo").val(data.acctnum);//银行帐号
								$("#divbankType").val($(this).attr("code"));
								type = $(this).attr("code");
								flag = 1;
								//$(this).attr("code");
								
							}
						
						
						});
						if(flag == 0){
							alert("银行名称不存在，请重新选择！");
							$("#spanbankNameList").html(data.bankname);//银行名称
							$("#bankAccountNo").val(data.acctnum);//银行帐号
						}
					}
					
					
					if(data.sex=="1"){
						$("#spanpersonsex").html("男");
					}else{
						$("#spanpersonsex").html("女");
					}
					
		        }
		    });
		}else if(key=="407"){//投保人
			
		}
	}
	

	
	/*所在省/市*/
	$(document).ready(function(){
/*		if("1"==$("#caseSource").val()){
			callEcm($("#claimNo").val(),"");
		}else{
			window.open('../inspection/clmtask/imageInfo.do?claimNo='+$("#claimNo").val(),"影像");
		}*/
		// 当页面载入完成时获取所有省级地区
		 $.ajax({
				
			 type:"POST",
			 url:"../../dataenter/getProvince.do",
			 data:"",
			 error:function(){
				 alert("获取省份失败");
				 return;
			 },
			 success:function(data){
				 for(var i=0;i<data.length;i++){
					 var province = data[i];
					 $("#provinceContext").append("<li id="+province.areaCode+" onclick=\"getProvinceCode(this)\">"+province.areaName+"</li>");
					 $("#provinceContexts").append("<li id="+province.areaCode+" onclick=\"getProvinceCode(this)\">"+province.areaName+"</li>");
				 }
				 $(".select").find(".sel_list li").hover( function (){
						$(this).addClass("sel_hov");		
					},function (){
						$(this).removeClass("sel_hov");	
					}).on('click',function(){
						var _this = $(this).html();
						
						var _thisText = $(this).closest(".select").find(".sel_text");
						_thisText.html(_this);
						
					});
			 }
			 
		 });
	});

	// 根据所选省份获取市
	function findCity(provinceCode){
		 $("#citySpan").html("请选择市");
		 $("#citySpans").html("请选择市");
		 $("#cityContext").html("");
		 $("#cityContexts").html("");
		 $.ajax({
			 
			 type:"POST",
			 url:"../../dataenter/findCity.do",
			 data:{"provinceCode":provinceCode},
			 error:function(){
				 alert("获取市级单位失败");
				 return;
			 },
			 success:function(data){
				 for(var i=0;i<data.length;i++){
					 var city = data[i];
					 $("#cityContext").append("<li id=\""+city.areaCode+"\" onclick=\"getCityCode(this)\">"+city.areaName+"</li>");
					 $("#cityContexts").append("<li id=\""+city.areaCode+"\" onclick=\"getCityCode(this)\">"+city.areaName+"</li>");
				 }
				 // 选中
				 $(".select").find(".sel_list li").hover( function (){
						$(this).addClass("sel_hov");
					},function (){
						$(this).removeClass("sel_hov");	
					}).on('click',function(){
						var _this = $(this).html();
						
						var _thisText = $(this).closest(".select").find(".sel_text");
						_thisText.html(_this);
						
					});
			 }
			 
		 });
	}
	
	
	
	// 获取所选省份
	var provinceName = null;
	var provinceCode = null;
	function getProvinceCode(obj){
		 provinceCode = obj.id;
		 $("#hosCityCode").val("");
		 $("#hosProvince").val(provinceCode);
		 provinceName = obj.innerHTML;
		 findCity(provinceCode);
	}

	// 获取所选市的代码
	var cityCode = null;
	function getCityCode(obj){
		 cityCode = obj.id;
		 $("#hosCityCode").val(cityCode);
	}
	
	
	
	function openImage(sModino){
		var inputSource=$("#inputSource").val();
		var isBpo=$("#isBpo").val();
		if("1"==$("#case-source").val()&&(isBpo!="N")){  // 产险影像
			callEcm($("#claimNo").val(),"");
		}else{  // 寿险或产险高端的影像
			window.open(getRootPath()+'/inspection/clmtask/imageInfo.do?claimNo='+$("#claimNo").val(),"影像");
		}
	}
	
	function untread(obj,flage){
			if($("#inputSource").val()=='05'){
				  SkipByPost("fallbackInfo.do",{claimNo:obj,isSendFlag:$("#isSendFlag").val(),flage:flage});
			}else {
				alert("报案方式不能自助回退");
			}
	}
	
	
	
	//寿险银行名称查询
	function queryBank(obj){
		var bankName ="";
		if(obj=='1'){
			bankName = $("#gropertyCenterBankName").val();
		}
		
		if(obj=='2'){
			 bankName = $("#dropertyCenterBankName").val();
		}
		$.ajax({
			type : "POST",
			url : "queryBank.do",
			data : {"bankName" : bankName},
			error :function(){
				alert("查询银行名称失败");
			},
			success:function(data){
					if(obj=='1'){
					var ul=$("<ul id=\"tip\"></ul>");
					if(data.length>0){
						for ( var i = 0; i < data.length; i++) {
							$(ul).append("<li style=\"background-color:#FFFFFF\" onmouseover=\"changbackclrFn(this)\" onblur=\"displayNone('1')\" onclick=\"selectedCompanyInfoFn('"+data[i].bankName+"','"+data[i].bankGroupCode+"','1')\">"+data[i].bankName+"</li>");
						}
						$("#top-div").html(ul);
						$("#top-div").css("display","");
					}else{
						$("#top-div").css("display","none");
					}
					
				}else if (obj=='2') {
					var ul=$("<ul id=\"top\"></ul>");
					if(data.length>0){
						for ( var i = 0; i < data.length; i++) {
							$(ul).append("<li onmouseover=\"changbackclrFn(this)\" onblur=\"displayNone('2')\" onclick=\"selectedCompanyInfoFn('"+data[i].bankName+"','"+data[i].bankGroupCode+"','2')\">"+data[i].bankName+"</li>");
						}
						$("#tip-div").html(ul);
						$("#tip-div").css("display","");
					}else{
						$("#tip-div").css("display","");
					}
				}		
			}
			
		});
		
	}
	
	function changbackclrFn(flag){
		$(flag).css("background-color", "#e5e5e5").siblings().css("background-color", "#FFF");
	}
	function displayNone(flag){
			if(flag=='2'){
				$("#tip").css("display","none");
			}else if(flag=='1'){
				$("#top").css("display","none");
			}
		
	}
	
function selectedCompanyInfoFn(bankName,bankGroupCode,flag){
	
	$("#bankCode").val(bankGroupCode);
	if(flag=='1'){
		$("#divbankNameListinput").val(bankName);
		$("#divbankType").val(bankGroupCode);
		$("#gropertyCenterBankName").val(bankName);
		$("#top-div").css("display","none");
	}else if(flag=='2'){
		$("#divcenterbankName").val(bankName);
		$("#centerbankCode").val(bankGroupCode);
		$("#dropertyCenterBankName").val(bankName);
		$("#tip-div").css("display","none");
	}
	
	
	
			/*$.ajax({
				type : "POST",
				url : "queryBank.do",
				data : {"bankName" : bankName},
				error :function(){
					alert("查询银行名称失败");
				},
				success :function (data){
					for ( var i = 0; i < data.length; i++) {
						if(flag=='1'){
							$("#divbankNameListinput").val(data[i].bankName);
							$("#divbankType").val(data[i].bankGroupCode);
							$("#gropertyCenterBankName").val(data[i].bankName);
							$("#top-div").css("display","none");
							}else if(flag=='2'){
								$("#divcenterbankName").val(data[i].bankName);
								$("#centerbankCode").val(data[i].bankGroupCode);
								$("#dropertyCenterBankName").val(data[i].bankName);
								$("#tip-div").css("display","none");
							}
					}
				}
				
			});*/
}
	